Przejdź do głównej treści
POST
/
api
/
v1
/
campaigns
/
{campaignKey}
/
send
Wyślij kampanię
curl --request POST \
  --url https://api.railmail.app/api/v1/campaigns/{campaignKey}/send \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignKey": "<string>",
  "name": "<string>",
  "subject": "<string>",
  "previewText": "<string>",
  "contentJson": "<string>",
  "contentText": "<string>",
  "status": "<string>",
  "sendStrategy": "<string>",
  "topicIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "segmentIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "estimatedRecipientCount": 123,
  "scheduledAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "fromEmail": "<string>",
  "fromName": "<string>",
  "preSendScore": 123,
  "preSendStatus": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry ścieżki

campaignKey
string
wymagane

Campaign key (e.g. APIT-001).

Odpowiedź

Kampania w kolejce do wysyłki

id
string<uuid>
campaignKey
string | null
name
string
subject
string | null
previewText
string | null
contentJson
string | null
contentText
string | null
status
string
sendStrategy
string | null
topicIds
string<uuid>[] | null
segmentIds
string<uuid>[] | null
estimatedRecipientCount
integer<int64> | null
scheduledAt
string<date-time> | null
completedAt
string<date-time> | null
fromEmail
string | null
fromName
string | null
preSendScore
integer | null
preSendStatus
string | null
createdAt
string<date-time>
updatedAt
string<date-time>